# Uses of Interface
javax.lang.model.element.AnnotationMirror

Packages that use AnnotationMirror
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
javax.lang.model
Types and hierarchies of packages comprising a Java language model, a model of the declarations and types of the Java programming language.
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of AnnotationMirror in com.sun.source.util

Methods in com.sun.source.util with parameters of type AnnotationMirror
Modifier and Type
Method
Description
`abstract TreePath`
Trees.`getPath(Element e, AnnotationMirror a)`
Returns the `TreePath` node for an `AnnotationMirror` on a given `Element`.
`abstract TreePath`
Trees.`getPath(Element e, AnnotationMirror a, AnnotationValue v)`
Returns the `TreePath` node for an `AnnotationValue` for an `AnnotationMirror` on a given `Element`.
`abstract Tree`
Trees.`getTree(Element e, AnnotationMirror a)`
Returns the `Tree` node for an `AnnotationMirror` on a given `Element`.
`abstract Tree`
Trees.`getTree(Element e, AnnotationMirror a, AnnotationValue v)`
Returns the `Tree` node for an `AnnotationValue` for an `AnnotationMirror` on a given `Element`.

## Uses of AnnotationMirror in javax.annotation.processing

Methods in javax.annotation.processing with parameters of type AnnotationMirror
Modifier and Type
Method
Description
`Iterable<? extends Completion>`
AbstractProcessor.`getCompletions(Element element, AnnotationMirror annotation, ExecutableElement member, String userText)`
Returns an empty iterable of completions.
`Iterable<? extends Completion>`
Processor.`getCompletions(Element element, AnnotationMirror annotation, ExecutableElement member, String userText)`
Returns to the tool infrastructure an iterable of suggested completions to an annotation.
`void`
Messager.`printMessage(Diagnostic.Kind kind, CharSequence msg, Element e, AnnotationMirror a)`
Prints a message of the specified kind at the location of the annotation mirror of the annotated element.
`void`
Messager.`printMessage(Diagnostic.Kind kind, CharSequence msg, Element e, AnnotationMirror a, AnnotationValue v)`
Prints a message of the specified kind at the location of the annotation value inside the annotation mirror of the annotated element.

## Uses of AnnotationMirror in javax.lang.model

Methods in javax.lang.model that return types with arguments of type AnnotationMirror
Modifier and Type
Method
Description
`List<? extends AnnotationMirror>`
AnnotatedConstruct.`getAnnotationMirrors()`
Returns the annotations that are directly present on this construct.

## Uses of AnnotationMirror in javax.lang.model.element

Methods in javax.lang.model.element that return types with arguments of type AnnotationMirror
Modifier and Type
Method
Description
`List<? extends AnnotationMirror>`
Element.`getAnnotationMirrors()`
Returns the annotations that are directly present on this construct.
Methods in javax.lang.model.element with parameters of type AnnotationMirror
Modifier and Type
Method
Description
`R`
AnnotationValueVisitor.`visitAnnotation(AnnotationMirror a, P p)`
Visits an annotation value in an annotation.

## Uses of AnnotationMirror in javax.lang.model.type

Methods in javax.lang.model.type that return types with arguments of type AnnotationMirror
Modifier and Type
Method
Description
`List<? extends AnnotationMirror>`
TypeMirror.`getAnnotationMirrors()`
Returns the annotations that are directly present on this construct.

## Uses of AnnotationMirror in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type AnnotationMirror
Modifier and Type
Method
Description
`List<? extends AnnotationMirror>`
Elements.`getAllAnnotationMirrors(Element e)`
Returns all annotations present on an element, whether directly present or present via inheritance.
Methods in javax.lang.model.util with parameters of type AnnotationMirror
Modifier and Type
Method
Description
`Map<? extends ExecutableElement,? extends AnnotationValue>`
Elements.`getElementValuesWithDefaults(AnnotationMirror a)`
Returns the values of an annotation's elements, including defaults.
`default Elements.Origin`
Elements.`getOrigin(AnnotatedConstruct c, AnnotationMirror a)`
Returns the origin of the given annotation mirror.
`R`
SimpleAnnotationValueVisitor6.`visitAnnotation(AnnotationMirror a, P p)`
Visits an annotation value in an annotation.